Skip to main content
API Reference

Voices

Staffify has 86 voices across 13 languages. Use a voice's Name in the voice field when creating or updating an agent. Voices are language-specific -- using a voice from the wrong language returns a 400 error.

GET/v1/voicesoptional: ?language=en-US
# All voices
curl "https://api.staffifyai.com/v1/voices" \
  -H "Authorization: Bearer sfy_live_YOUR_KEY"

# Filter to one language
curl "https://api.staffifyai.com/v1/voices?language=nl-NL" \
  -H "Authorization: Bearer sfy_live_YOUR_KEY"

Response — without ?language= (grouped by language)

{
  "languages": ["en-US", "nl-NL", "de-DE"],
  "voices": {
    "en-US": [
      { "name": "Sarah",   "gender": "female", "description": "Clear and professional" },
      { "name": "Michael", "gender": "male",   "description": "Professional and clear" }
    ],
    "nl-NL": [
      { "name": "Marieke", "gender": "female", "description": "Kalm en verfijnd" }
    ]
  }
}

Response — with ?language=en-US (flat array)

{
  "language": "en-US",
  "voices": [
    { "name": "Sarah",   "gender": "female", "description": "Clear and professional" },
    { "name": "Michael", "gender": "male",   "description": "Professional and clear" }
  ]
}
The ?language= param accepts prefix matching (e.g. en matches en-US and en-GB) and is case-insensitive.
en-US15 voices
SarahF

Clear and professional

EmmaF

Warm and friendly

SophiaF

Energetic and welcoming

EmilyF

Sophisticated and calm

RachelF

Natural and friendly

MadisonF

Expressive and engaging

GraceF

Warm and conversational

ChloeF

Modern and expressive

JamesM

Deep and authoritative

MichaelM

Professional and clear

WilliamM

Warm and reassuring

NathanM

Natural and conversational

RobertM

Professional and clear

PatrickM

Warm and trustworthy

KyleM

Confident and clear

en-GB11 voices
CharlotteF

Natural and friendly

PoppyF

Young and energetic

FreyaF

Warm and conversational

FlorenceF

Elegant and refined

IslaF

Friendly and approachable

HarryM

Professional and clear

CharlieM

Young and friendly

OscarM

Modern and engaging

JackM

Calm and professional

HenryM

Confident and articulate

ArchieM

Warm and personable

es-ES9 voices
MaríaF

Clara y profesional

IsabelF

Energética y acogedora

RocíoF

Joven y enérgica

CristinaF

Cálida y amigable

ElenaF

Suave y reconfortante

MiguelM

Profesional y claro

SergioM

Cálido y reconfortante

FernandoM

Profesional y claro

RaúlM

Profundo y autoritario

fr-FR10 voices
CamilleF

Claire et professionnelle

MarieF

Naturelle et professionnelle

ClaireF

Mature et professionnelle

IsabelleF

Claire et articulée

AntoineM

Naturel et confiant

PierreM

Naturel et professionnel

FrançoisM

Profond et autoritaire

NicolasM

Amical et accessible

LaurentM

Chaleureux et rassurant

MathieuM

Clair et professionnel

de-DE11 voices
HannahF

Klar und professionell

JohannaF

Warm und einladend

KatharinaF

Selbstbewusst und deutlich

PetraF

Natürlich und freundlich

SabineF

Jung und energisch

HeikeF

Klar und professionell

LukasM

Natürlich und professionell

FelixM

Freundlich und zugänglich

JürgenM

Natürlich und professionell

DieterM

Tief und autoritär

StefanM

Freundlich und zugänglich

it-IT9 voices
GiuliaF

Calda e accogliente

RobertaF

Naturale e amichevole

PaolaF

Calda e conversazionale

SilviaF

Giovane ed energica

DanieleM

Giovane ed energico

MatteoM

Naturale e professionale

AndreaM

Profondo e autorevole

StefanoM

Amichevole e accessibile

GiovanniM

Giovane ed energico

nl-NL5 voices
MariekeF

Kalm en verfijnd

NienkeF

Natuurlijk en vriendelijk

AnoukF

Warm en gespreksmatig

DaanM

Natuurlijk en professioneel

PieterM

Natuurlijk en professioneel

pt-PT2 voices
BeatrizF

Calorosa e amigável

TiagoM

Profissional e claro

pl-PL3 voices
KasiaF

Naturalna i przyjazna

MagdaF

Ciepła i profesjonalna

TomekM

Profesjonalny i wyraźny

sv-SE3 voices
AstridF

Naturlig och vänlig

LinneaF

Varm och professionell

ErikM

Professionell och tydlig

da-DK2 voices
FrejaF

Naturlig og venlig

MadsM

Professionel og klar

nb-NO3 voices
IngridF

Naturlig og vennlig

SigridF

Varm og profesjonell

EirikM

Profesjonell og tydelig

fi-FI3 voices
AinoF

Luonnollinen ja ystävällinen

EmiliaF

Lämmin ja ammattimainen

MattiM

Ammattimainen ja selkeä

Node.js: fetch voices and configure an agent

const KEY = process.env.STAFFIFY_API_KEY;

// Get Dutch voices
const { voices } = await fetch(
  'https://api.staffifyai.com/v1/voices?language=nl-NL',
  { headers: { Authorization: `Bearer ${KEY}` } }
).then(r => r.json());

const femaleVoices = voices.filter(v => v.gender === 'female');
// ['Marieke', 'Nienke', 'Anouk']

// Create an agent using the first female Dutch voice
await fetch('https://api.staffifyai.com/v1/agents', {
  method: 'POST',
  headers: { Authorization: `Bearer ${KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({
    name:       'Dutch Support Agent',
    server_url: 'https://your-server.com/call-handler',
    language:   'nl-NL',
    voice:      femaleVoices[0].name,   // 'Marieke'
  }),
});

Voice + language must match

Each voice belongs to exactly one language. Using a voice name with the wrong language returns 400 Bad Request with a message pointing you to GET /v1/voices?language=<lang>.

Preview voices before deploying at console.staffifyai.com.

Voices - Staffify API